Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.constructionheuristic
Enum ConstructionHeuristicType

    java.lang.Object
      java.lang.Enum<ConstructionHeuristicType>
          org.optaplanner.core.config.constructionheuristic.ConstructionHeuristicType

All Implemented Interfaces:
  Serializable, Comparable<ConstructionHeuristicType>

    public enum ConstructionHeuristicType

extends Enum<ConstructionHeuristicType>

Enum Constant Summary
`ALLOCATE_ENTITY_FROM_QUEUE` Put all entities in a queue.
`ALLOCATE_FROM_POOL` Put all entity-value combinations in a pool.
`CHEAPEST_INSERTION` A specific form of `ALLOCATE_FROM_POOL`.
`FIRST_FIT` A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.
`FIRST_FIT_DECREASING` A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.
`STRONGEST_FIT` A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.
`STRONGEST_FIT_DECREASING` A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.
`WEAKEST_FIT` A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.
`WEAKEST_FIT_DECREASING` A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.

Method Summary
`EntitySorterManner` | `getDefaultEntitySorterManner()`
`ValueSorterManner` | `getDefaultValueSorterManner()`
`EntityPlacerConfig` | `newEntityPlacerConfig()`
`static ConstructionHeuristicType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConstructionHeuristicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIRST_FIT

    public static final ConstructionHeuristicType FIRST_FIT

  A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.

### FIRST_FIT_DECREASING

    public static final ConstructionHeuristicType FIRST_FIT_DECREASING

  A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.

### WEAKEST_FIT

    public static final ConstructionHeuristicType WEAKEST_FIT

  A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.

### WEAKEST_FIT_DECREASING

    public static final ConstructionHeuristicType WEAKEST_FIT_DECREASING

  A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.

### STRONGEST_FIT

    public static final ConstructionHeuristicType STRONGEST_FIT

  A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.

### STRONGEST_FIT_DECREASING

    public static final ConstructionHeuristicType STRONGEST_FIT_DECREASING

  A specific form of `ALLOCATE_ENTITY_FROM_QUEUE`.

### ALLOCATE_ENTITY_FROM_QUEUE

    public static final ConstructionHeuristicType ALLOCATE_ENTITY_FROM_QUEUE

  Put all entities in a queue. Assign the first entity (from that queue) to the best value. Repeat until all entities are assigned.

### CHEAPEST_INSERTION

    public static final ConstructionHeuristicType CHEAPEST_INSERTION

  A specific form of `ALLOCATE_FROM_POOL`.

### ALLOCATE_FROM_POOL

    public static final ConstructionHeuristicType ALLOCATE_FROM_POOL

  Put all entity-value combinations in a pool. Assign the best entity to best value. Repeat until all entities are assigned.

Method Detail

### values

    public static ConstructionHeuristicType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConstructionHeuristicType c : ConstructionHeuristicType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConstructionHeuristicType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDefaultEntitySorterManner

    public EntitySorterManner getDefaultEntitySorterManner()

### getDefaultValueSorterManner

    public ValueSorterManner getDefaultValueSorterManner()

### newEntityPlacerConfig

    public EntityPlacerConfig newEntityPlacerConfig()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.